0

I use Sitecore.Commerce.Engine.SDK.7.0.55 with Customer.Sample.Solution solution. I entered the config and global information. Then proceed to deploy to the CommerceAuthoring_Sc directory of Sitecore XC. Everything seems to be working fine when I use Postman until when I POST {{OpsApiHost}}/{{OpsApi}}/Bootstrap() it returns PolicySet json is not valid. How to fix this error?

Update: I tried filling in PlaceholderFor... fields in the JSON files, I fixed this error but all the data in my HabitatAuthoring environment is lost (I have installed Storefront XC sample) . There is nothing I can do but reinstall Sitecore XC.

How do I fix PolicySet json is not valid error without causing data loss for HabitatAuthoring environment?

1 Answer 1

0

This is not becuase of JSON format.

You should check the namespace of your custom policy class.

For more detail you can follow the below URL:

http://jitendrasoni.blogspot.com/2020/10/sitecore-xc-93-investigation-and-fix.html

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.